Bug 1576522 - Calibration in wayland shows strange behavior
Summary: Calibration in wayland shows strange behavior
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-color-manager
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 16:26 UTC by Knut-Håvard Aksnes
Modified: 2019-05-28 20:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:10:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Knut-Håvard Aksnes 2018-05-09 16:26:51 UTC
Multiple problems:
Problems could be in gnome-control-center or gnomebut related to gnome-color-manager
I am trying to calibrate laptop, not extra screen this time.
1) Calibration at medium and high quality level tend to fail with a message indicating failure to generate profile but no hint what goes wrong.
2) Calibration at low level at whitepoint D65 generates a profile with whitepoint at 5500K, when calibrating for  D50 i get a profile with whitepoint 4400K.

Version-Release number of selected component (if applicable):
3.28.0-1.fc28

How reproducible:


Steps to Reproduce:
1. Plug in colorimeter.
2. Calibrate at low quality setting using whitepoint D65
3. Inspect generated profile.
4. Recalibrate using whitepoint D50

Actual results:
Whitepoint stored in profile (visible by inspecting details for generate profiles) is not what I expected. 

Expected results:
For a D65 calibration I expect a profile with whitepoint at 6500K
For a D50 calibration I expect a profile with whitepoint at 5000K
If calibration fails I would like a better description of the cause of the failure. (Device failure, failure to reach whitepoint at the expected screen luminance level, problems getting consistent measurements etc.) If calibration expects a screen luminance level it should be documented or user configurable.


Additional info:
Colorimeter used is X-Rite i1 Display

Comment 1 Ben Cotton 2019-05-02 21:48:59 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-28 20:10:13 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.